/* BEGIN_COMMON_COPYRIGHT_HEADER
 * (c)LGPL2+
 *
 * Flacon - audio File Encoder
 * https://github.com/flacon/flacon
 *
 * Copyright: 2017
 *   Alexander Sokoloff <sokoloff.a@gmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.

 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * END_COMMON_COPYRIGHT_HEADER */

#ifndef WORKER_H
#define WORKER_H

#include "convertertypes.h"
#include <QObject>
#include "track.h"

class Disc;

namespace Conv {

class Worker : public QObject
{
    Q_OBJECT
public:
    explicit Worker(QObject *parent = nullptr);
    virtual ~Worker();

public slots:
    virtual void run() = 0;

signals:
    void error(const Conv::ConvTrack &track, const QString &message);
    void trackReady(const Conv::ConvTrack &track, const QString &outFileName);
    void trackProgress(const Conv::ConvTrack &track, TrackState state, int percent);

protected:
    bool deleteFile(const QString &fileName) const;
};

} // namespace
#endif // WORKER_H
